Source: subunit
Section: devel
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Jelmer Vernooĳ <jelmer@debian.org>,
Build-Depends:
 autoconf,
 automake,
 check <!nocheck>,
 debhelper-compat (= 12),
 dh-python,
 libcppunit-dev,
 libtool,
 openstack-pkg-tools,
 pkg-config,
 python3-all,
 python3-setuptools,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
Build-Depends-Indep:
 perl,
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/openstack-team/python/subunit.git
Vcs-Browser: https://salsa.debian.org/openstack-team/python/subunit
Homepage: https://code.launchpad.net/subunit

Package: libcppunit-subunit-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 libcppunit-subunit0 (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: SubunitTestProgressListener for CPPUnit - Development headers
 subunit is a protocol for test activity reporting. The
 SubunitTestProgressListener permits outputting Subunit from  a CPPUnit test
 suite.
 .
 The libcppunit-subunit-dev package contains the C++ development headers,
 pkgconfig data file and a static version of the library.

Package: libcppunit-subunit0
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SubunitTestProgressListener for CPPUnit - C++ shared library
 subunit is a protocol for test activity reporting. The
 SubunitTestProgressListener permits outputting Subunit from a CPPUnit test
 suite.

Package: libsubunit-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 libsubunit0 (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Unit testing protocol - Development headers and static library for libsubunit
 subunit is a protocol for test activity reporting. This permits executing
 tests remotely, or saving the result of test runs for later introspection.
 .
 The libsubunit-dev package contains the C development headers,
 pkgconfig data file and a static version of the library.

Package: libsubunit-perl
Architecture: all
Provides:
 libsubunit-diff-perl,
Depends:
 ${misc:Depends},
 ${perl:Depends},
Section: perl
Multi-Arch: foreign
Description: perl parser and diff for Subunit streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The libsubunit-perl package contains the Perl language support for Subunit.

Package: libsubunit0
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Unit testing protocol - C/C++ shared library
 subunit is a protocol for test activity reporting. This permits executing
 tests remotely, or saving the result of test runs for later introspection.
 .
 The libsubunit0 package contains the C shared library.

Package: python3-subunit
Architecture: all
Depends:
 python3-extras,
 python3-testtools,
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: unit testing protocol - Python3 bindings to generate and consume streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The python3-subunit package includes the Python version 3 language bindings.

Package: subunit
Architecture: all
Depends:
 libsubunit-perl (>= ${source:Version}),
 python3-subunit (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
Description: command line tools for processing Subunit streams
 subunit is a protocol for test activity serialisation deserialisation. This
 permits executing tests remotely, or saving the result of test runs for later
 introspection.
 .
 The subunit package includes the subunit command line tools:
 subunit-diff, subunit-filter subunit-stats tap2subunit subunit2pyunit
 subunit-ls subunit-tags, subunit2gtk
